searchData={"items":[{"type":"module","title":"Gherkin","doc":"See `Gherkin.parse/1` for primary usage.","ref":"Gherkin.html"},{"type":"function","title":"Gherkin.flatten/1","doc":"Given a `Gherkin.Element.Feature`, changes all `Gherkin.Elements.ScenarioOutline`s\ninto `Gherkin.ElementScenario` as a flattened list of scenarios.","ref":"Gherkin.html#flatten/1"},{"type":"function","title":"Gherkin.parse/1","doc":"Primary helper function for parsing binary or streams through `Gherkin`. To use\nsimply call this function passing in the full text of the file or a file stream.\n\nExample:\n\n  iex> \"test/fixtures/coffee.feature\" |> File.read!() |> Gherkin.parse()\n  %Gherkin.Elements.Feature{\n    description: \"As a Barrista\n  Coffee should not be served until paid for\n  Coffee should not be served until the button has been pressed\n  If there is no coffee left then money should be refunded\n  \",\n    line: 1,\n    name: \"Serve coffee\",\n    scenarios: [\n      %Gherkin.Elements.Scenario{\n        line: 7,\n        name: \"Buy last coffee\",\n        steps: [\n          %Gherkin.Elements.Step{\n            keyword: \"Given\",\n            line: 8,\n            text: \"there are 1 coffees left in the machine\"\n          }\n        ],\n      }\n    ],\n  }\n\n  # Also supports file streams for larger files (must read by lines, bytes not supported)\n  iex> \"test/fixtures/coffee.feature\" |> File.stream!() |> Gherkin.parse()\n  %Gherkin.Elements.Feature{\n    description: \"As a Barrista\n  Coffee should not be served until paid for\n  Coffee should not be served until the button has been pressed\n  If there is no coffee left then money should be refunded\n  \",\n    line: 1,\n    name: \"Serve coffee\",\n    scenarios: [\n      %Gherkin.Elements.Scenario{\n        line: 7,\n        name: \"Buy last coffee\",\n        steps: [\n          %Gherkin.Elements.Step{\n            keyword: \"Given\",\n            line: 8,\n            text: \"there are 1 coffees left in the machine\"\n          }\n        ],\n      }\n    ],\n  }","ref":"Gherkin.html#parse/1"},{"type":"function","title":"Gherkin.parse_file/1","doc":"Primary helper function for parsing file through `Gherkin`. To use\nsimply call this function passing in the relative path to file.\n\nExample:\n\n  iex> Gherkin.parse_file(\"test/fixtures/coffee.feature\")\n  %Gherkin.Elements.Feature{\n    description: \"As a Barrista\n  Coffee should not be served until paid for\n  Coffee should not be served until the button has been pressed\n  If there is no coffee left then money should be refunded\n  \",\n    file: \"test/fixtures/coffee.feature\",\n    line: 1,\n    name: \"Serve coffee\",\n    scenarios: [\n      %Gherkin.Elements.Scenario{\n        line: 7,\n        name: \"Buy last coffee\",\n        steps: [\n          %Gherkin.Elements.Step{\n            keyword: \"Given\",\n            line: 8,\n            text: \"there are 1 coffees left in the machine\"\n          }\n        ],\n      }\n    ],\n  }","ref":"Gherkin.html#parse_file/1"},{"type":"function","title":"Gherkin.scenarios_for/1","doc":"Changes a `Gherkin.Elements.ScenarioOutline` into multiple `Gherkin.Elements.Scenario`s\nso that they may be executed in the same manner.\n\nGiven an outline, its easy to run all scenarios:\n\n    outline = %Gherkin.Elements.ScenarioOutline{}\n    Gherkin.scenarios_for(outline) |> Enum.each(&run_scenario/1)","ref":"Gherkin.html#scenarios_for/1"},{"type":"module","title":"Gherkin.Elements.Feature","doc":"Representation of an entire feature. Contains rules and/or scenarios which are the primary focus of the feature.","ref":"Gherkin.Elements.Feature.html"},{"type":"module","title":"Gherkin.Elements.Rule","doc":"Represents a single rule within a feature. Contains scenarios which demonstrate the rule.","ref":"Gherkin.Elements.Rule.html"},{"type":"module","title":"Gherkin.Elements.Scenario","doc":"Represents a single scenario within a feature. Contains steps which are the primary focus of the scenario.","ref":"Gherkin.Elements.Scenario.html"},{"type":"module","title":"Gherkin.Elements.ScenarioOutline","doc":"Represents an outline of a single scenario.","ref":"Gherkin.Elements.ScenarioOutline.html"},{"type":"module","title":"Gherkin.Elements.Step","doc":"Represents an action to be executed as part of a scenario or background.","ref":"Gherkin.Elements.Step.html"}],"content_type":"text/markdown"}