searchNodes=[{"doc":"See Gherkin.parse/1 for primary usage.","ref":"Gherkin.html","title":"Gherkin","type":"module"},{"doc":"Given a Gherkin.Element.Feature , changes all Gherkin.Elements.ScenarioOutline s into Gherkin.ElementScenario as a flattened list of scenarios.","ref":"Gherkin.html#flatten/1","title":"Gherkin.flatten/1","type":"function"},{"doc":"Primary helper function for parsing binary or streams through Gherkin . To use simply call this function passing in the full text of the file or a file stream. Example: iex&gt; &quot;test/fixtures/coffee.feature&quot; |&gt; File.read!() |&gt; Gherkin.parse() %Gherkin.Elements.Feature{ description : &quot; As a Barrista Coffee should not be served until paid for Coffee should not be served until the button has been pressed If there is no coffee left then money should be refunded &quot;, line : 1 , name : &quot;Serve coffee&quot; , scenarios : [ % Gherkin.Elements.Scenario { line : 7 , name : &quot;Buy last coffee&quot; , steps : [ % Gherkin.Elements.Step { keyword : &quot;Given&quot; , line : 8 , text : &quot;there are 1 coffees left in the machine&quot; } ] , } ] , } # Also supports file streams for larger files (must read by lines, bytes not supported) iex&gt; &quot;test/fixtures/coffee.feature&quot; |&gt; File.stream!() |&gt; Gherkin.parse() %Gherkin.Elements.Feature{ description : &quot; As a Barrista Coffee should not be served until paid for Coffee should not be served until the button has been pressed If there is no coffee left then money should be refunded &quot;, line : 1 , name : &quot;Serve coffee&quot; , scenarios : [ % Gherkin.Elements.Scenario { line : 7 , name : &quot;Buy last coffee&quot; , steps : [ % Gherkin.Elements.Step { keyword : &quot;Given&quot; , line : 8 , text : &quot;there are 1 coffees left in the machine&quot; } ] , } ] , }","ref":"Gherkin.html#parse/1","title":"Gherkin.parse/1","type":"function"},{"doc":"Primary helper function for parsing file through Gherkin . To use simply call this function passing in the relative path to file. Example: iex&gt; Gherkin.parse_file(&quot;test/fixtures/coffee.feature&quot;) %Gherkin.Elements.Feature{ description : &quot; As a Barrista Coffee should not be served until paid for Coffee should not be served until the button has been pressed If there is no coffee left then money should be refunded &quot;, file : &quot;test/fixtures/coffee.feature&quot; , line : 1 , name : &quot;Serve coffee&quot; , scenarios : [ % Gherkin.Elements.Scenario { line : 7 , name : &quot;Buy last coffee&quot; , steps : [ % Gherkin.Elements.Step { keyword : &quot;Given&quot; , line : 8 , text : &quot;there are 1 coffees left in the machine&quot; } ] , } ] , }","ref":"Gherkin.html#parse_file/1","title":"Gherkin.parse_file/1","type":"function"},{"doc":"Changes a Gherkin.Elements.ScenarioOutline into multiple Gherkin.Elements.Scenario s so that they may be executed in the same manner. Given an outline, its easy to run all scenarios: outline = % Gherkin.Elements.ScenarioOutline { } Gherkin . scenarios_for ( outline ) |&gt; Enum . each ( &amp; run_scenario / 1 )","ref":"Gherkin.html#scenarios_for/1","title":"Gherkin.scenarios_for/1","type":"function"},{"doc":"Representation of an entire feature. Contains rules and/or scenarios which are the primary focus of the feature.","ref":"Gherkin.Elements.Feature.html","title":"Gherkin.Elements.Feature","type":"module"},{"doc":"Represents a single rule within a feature. Contains scenarios which demonstrate the rule.","ref":"Gherkin.Elements.Rule.html","title":"Gherkin.Elements.Rule","type":"module"},{"doc":"Represents a single scenario within a feature. Contains steps which are the primary focus of the scenario.","ref":"Gherkin.Elements.Scenario.html","title":"Gherkin.Elements.Scenario","type":"module"},{"doc":"Represents an outline of a single scenario.","ref":"Gherkin.Elements.ScenarioOutline.html","title":"Gherkin.Elements.ScenarioOutline","type":"module"},{"doc":"Represents an action to be executed as part of a scenario or background.","ref":"Gherkin.Elements.Step.html","title":"Gherkin.Elements.Step","type":"module"}]